Project Members
Project Members
GET /api/v1/projects/{id}/members
Get Project Members
getProjectMembers returns all members of a project
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: []ProjectMember
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
project_id | string | |
user_id | string | |
role_id | string | References Role table |
joined_at | time.Time | |
email | string | For pending invites (user doesn’t exist yet) (optional) |
token | string | (optional) |
invited_by | string | (optional) |
expires_at | time.Time | (optional) |
accepted_at | time.Time | (optional) |
user | User | Computed/joined fields (optional) |
project | Project | (optional) |
role | Role | (optional) |
inviter | User | (optional) |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/projects/{id}/membersPOST /api/v1/projects/{id}/members
Create add Project Member
addProjectMember adds a member to a project by email
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Request Body
Type: AddProjectMemberRequest
| Field | Type | Description |
|---|---|---|
email | string | |
role_id | string |
Response
Type: ProjectMember
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
project_id | string | |
user_id | string | |
role_id | string | References Role table |
joined_at | time.Time | |
email | string | For pending invites (user doesn’t exist yet) (optional) |
token | string | (optional) |
invited_by | string | (optional) |
expires_at | time.Time | (optional) |
accepted_at | time.Time | (optional) |
user | User | Computed/joined fields (optional) |
project | Project | (optional) |
role | Role | (optional) |
inviter | User | (optional) |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/projects/{id}/membersDELETE /api/v1/projects/{id}/members/{member_id}
Delete remove Project Member
removeProjectMember removes a member from a project
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
member_id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/projects/{id}/members/{member_id}PUT /api/v1/projects/{id}/members/{member_id}/role
Update Project Member Role
updateProjectMemberRole updates a member’s role in a project
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
member_id | path | string | true |
Request Body
Type: struct{}
Response
Type: ProjectMember
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
project_id | string | |
user_id | string | |
role_id | string | References Role table |
joined_at | time.Time | |
email | string | For pending invites (user doesn’t exist yet) (optional) |
token | string | (optional) |
invited_by | string | (optional) |
expires_at | time.Time | (optional) |
accepted_at | time.Time | (optional) |
user | User | Computed/joined fields (optional) |
project | Project | (optional) |
role | Role | (optional) |
inviter | User | (optional) |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/projects/{id}/members/{member_id}/role